- Qt 5.15
- Qt 3D
- C++ Classes
- QCameraSelector
- Qt 5.15.19 Reference Documentation

# QCameraSelector Class

class Qt3DRender::QCameraSelector

Class to allow for selection of camera to be used. More...

Header: | #include <QCameraSelector>
qmake: | QT += 3drender
Since: | Qt 5.5
Instantiated By: | CameraSelector
Inherits: | Qt3DRender::QFrameGraphNode

This class was introduced in Qt 5.5.

- List of all members, including inherited members

## Properties

- camera : Qt3DCore::QEntity*

## Public Functions

| QCameraSelector(Qt3DCore::QNode *parent = nullptr)
Qt3DCore::QEntity * | camera() const

## Public Slots

void | setCamera(Qt3DCore::QEntity *camera)

## Signals

void | cameraChanged(Qt3DCore::QEntity *camera)

## Detailed Description

A Qt3DRender::QCameraSelector can be used to select the camera, which is used by the FrameGraph when drawing the entities.

## Property Documentation

### camera : Qt3DCore::QEntity*

Holds the currently selected camera.

Access functions:

Qt3DCore::QEntity * | camera() const
void | setCamera(Qt3DCore::QEntity *camera)

Notifier signal:

void | cameraChanged(Qt3DCore::QEntity *camera)

## Member Function Documentation

### QCameraSelector::QCameraSelector(Qt3DCore::QNode *parent = nullptr)

The constructor creates an instance with the specified parent.